Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.controls.application
Class ShellPresentationContext

    java.lang.Object
      |
      +--com.bea.netuix.servlets.controls.ControlContext
            |
            +--com.bea.netuix.servlets.controls.PresentationContext
                  |
                  +--com.bea.netuix.servlets.controls.application.ShellPresentationContext

All Implemented Interfaces:
  Serializable

public class ShellPresentationContext
extends PresentationContext

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.bea.netuix.servlets.controls.ControlContext
`debug`

Constructor Summary
`protected` | `ShellPresentationContext(Shell shell)`

Method Summary
`BodyPresentationContext` | `getBodyPresentationContext()`
`BookPresentationContext` | `getBookPresentationContext()`
`HeadPresentationContext` | `getHeadPresentationContext()`
`static ShellPresentationContext` | `getShellPresentationContext(HttpServletRequest request)`

Methods inherited from class com.bea.netuix.servlets.controls.PresentationContext
`getChildren, getChildren, getControlState, getFirstChild, getParsedProperties, getPresentationClass, getPresentationId, getPresentationStyle, getProperties, getProperty, getProperty, getPropertyAsBoolean, getPropertyAsInt, getResolvedLocale, getTagName, isVisible, render, setVisible`

Methods inherited from class com.bea.netuix.servlets.controls.ControlContext
`getContextFromRequest, getContextKey, getControl, getRequestKey, getUniqueId, removeContextFromRequest, setContextInRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShellPresentationContext

    protected ShellPresentationContext(Shell shell)

Method Detail

### getShellPresentationContext

    public static ShellPresentationContext getShellPresentationContext(HttpServletRequest request)

### getBookPresentationContext

    public BookPresentationContext getBookPresentationContext()

### getHeadPresentationContext

    public HeadPresentationContext getHeadPresentationContext()

### getBodyPresentationContext

    public BodyPresentationContext getBodyPresentationContext()

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved